import { IExtendedTelemetryItem } from '@microsoft/1ds-core-js';
export default class StatsManager {
    private _isInitalized;
    private _stats;
    private _sendStats;
    private _timeoutId;
    /**
     * Creates an instance of the stats manager class to send SDK usage statistics.
     * @param sendStats stats will be sent to the tenant using this function.
     */
    constructor(sendStats: (stats: {
        [statName: string]: number;
    }, ingestionKey: string) => void);
    /**
     * Creates an event if there's stats and calls sendStats.
     */
    _flush(): void;
    /**
     * Flush the current stats and stop the stats collection.
     */
    _teardown(): void;
    /**
     * Add stats for events successfully sent from SDK.
     */
    _addStatForEventSent(events: IExtendedTelemetryItem[]): void;
    /**
     * Add stats for events being requested to send but were discarded by SDK
     */
    _addStatForEventDiscarded(events: IExtendedTelemetryItem[], reason: number): void;
    private _addStatForEvents;
    private _addStat;
    private _getNonStatsEvents;
}
